Package org.globus.util

# Class Tail

java.lang.Object
org.globus.util.Tail

All Implemented Interfaces:
  `Runnable`

public class Tail extends Object implements Runnable

## Constructor Summary

Constructors
Constructor
Description
`Tail()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addFile(File file, OutputStream out, int pos)`
`void`
`join()`
`void`
`run()`
`void`
`setLog(org.apache.commons.logging.Log logger)`
`void`
`start()`
`void`
`stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Tail

public Tail()

## Method Details

### setLog

public void setLog(org.apache.commons.logging.Log logger)

### start

public void start()

### join

public void join() throws InterruptedException

Throws:
  `InterruptedException`

### addFile

public void addFile(File file, OutputStream out, int pos) throws IOException

Throws:
  `IOException`

### run

public void run()

Specified by:
  `run` in interface `Runnable`

### stop

public void stop()